API referenceTemplates
Get a template and its file list
GET
id*stringMatch
^[a-z0-9][a-z0-9-]{1,63}$Template
application/json- response
template*curl -X GET 'https://latex-api.crafter.run/v1/templates/string'Example Response
{ "template": { "id": "string", "name": "string", "description": "string", "category": "paper", "engine": "pdflatex", "entrypoint": "string", "tags": [ "string" ], "license": "string", "source": "string", "variables": [ { "name": "string", "description": "string", "default": "string" } ], "files": [ { "path": "string", "size": 0, "editable": true } ], "links": { "self": "string", "archive": "string", "preview": "string", "compile": "string" } }}